Loading...
Searching...
No Matches
blast-result.h File Reference
`#include <stdint.h>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include <rostlab/aux_functions.h>`
Include dependency graph for blast-result.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | rostlab::blast::round
| Data specific to an iterated blast round. More...
struct | rostlab::blast::hsp
| High-scoring segment pair. More...
struct | rostlab::blast::hit
| Blast hit. More...
struct | rostlab::blast::oneline
| One-line description. More...
struct | rostlab::blast::result
| Blast result for one query. More...

## Namespaces

namespace | rostlab
namespace | rostlab::blast

## Functions

std::ostream & | rostlab::operator<< (std::ostream &__os, const rostlab::blast::round &__r)
| Stream output operator for blast::round.
std::ostream & | rostlab::operator<< (std::ostream &__os, const rostlab::blast::oneline &__r)
| Stream output operator for blast::oneline.
std::ostream & | rostlab::operator<< (std::ostream &__os, const rostlab::blast::hsp &__r)
| Stream output operator for blast::hsp.
std::ostream & | rostlab::operator<< (std::ostream &__os, const rostlab::blast::hit &__r)
| Stream output operator for blast::hit.
std::ostream & | rostlab::operator<< (std::ostream &__os, const rostlab::blast::result &__r)
| Stream output operator for blast::result.